%define upstream_name	 Catalyst-Plugin-FillInForm
%define upstream_version 0.12

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 12

Summary:	FillInForm for Catalyst
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Catalyst) >= 2.99
BuildRequires:	perl(Catalyst::Action::RenderView)
BuildRequires:	perl(HTML::FillInForm)
BuildRequires:	perl(inc::Module::Install)
Buildarch:	noarch


%description
Fill forms automatically, based on data from a previous HTML
form. Typically (but not necessarily) used in conjunction with
Catalyst::Plugin::FormValidator. This module automatically inserts
data from a previous HTML form into HTML input fields, textarea
fields, radio buttons, checkboxes, and select tags. It is an instance
of HTML::FillInForm, which itself is a subclass of HTML::Parser, which
it uses to parse the HTML and insert the values into the proper form
tags.

The usual application is after a user submits an HTML form without
filling out a required field, or with errors in fields having
specified constraints. FillInForm is used to redisplay the HTML form
with all the form elements containing the submitted info. FillInForm
can also be used to fill forms with data from any source,
e.g. directly from your database.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make_build

%{__make} test

%install
%make_install

%files 
%doc Changes README META.yml
%{_mandir}/*/*
%{perl_vendorlib}/Catalyst


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.120.0-12.mga10
+ Revision: 2212199
- Mageia 10 Mass Rebuild

* Tue Mar 29 2022 umeabot <umeabot> 0.120.0-11.mga9
+ Revision: 1831443
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.120.0-10.mga8
+ Revision: 1503529
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.120.0-9.mga7
+ Revision: 1282222
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.120.0-8.mga7
+ Revision: 1167786
- BR perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.120.0-7.mga6
+ Revision: 1023319
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.120.0-6.mga6
+ Revision: 936231
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-5.mga5
+ Revision: 748115
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.120.0-3.mga4
+ Revision: 509803
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 364026
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 41017
- mageia rebuild
- imported package perl-Catalyst-Plugin-FillInForm

